import { axios } from '@/utils/request'

// 清运管理--网点清运记录

// 列表
export const cleanRecordList = (params) => {
  const url = `cleanStation/queryCleanStationByStation/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 总计
export const getCleanStationTotal = (params) => {
  const url = `cleanStation/getCleanStationTotal`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}

// 详情
export const networkDetail = (params) => {
  const url = `cleanStationDevice/querycleanStationParticular/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 清运明细
// 列表
export const cleanDetailsList = (params) => {
  const url = `cleanStationDevice/queryCleanStationDeviceByDevice/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 总计
export const getCleanDetailsTotal = (params) => {
  const url = `cleanStationDevice/getCleanStationDeviceTotal`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}

// 详情
export const getCleanDetails = (params) => {
  const url = `cleanLog/queryCleanStationDeviceParticular`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
